## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%if 0%{?el8}
# EPEL 8's unit presets defaults to enabling, avoid it
# i.e. no /usr/lib/systemd/user-preset/99-default-disable.preset
%bcond_with systemd_scriptlets
%else
%bcond_without systemd_scriptlets
%endif

Name:           psi-notify
Version:        1.3.0
Release:        %autorelease
Summary:        Alert when your machine is becoming over-saturated

License:        MIT
URL:            https://github.com/cdown/psi-notify
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        README-epel.md

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsystemd)
# EPEL 8's unit presets defaults to enabling, avoid it
%if %{with systemd_scriptlets}
BuildRequires:  systemd-rpm-macros
%endif

%description
psi-notify is a minimal unprivileged notifier for system-wide resource pressure
using PSI.

This can help you to identify misbehaving applications on your machine before
they start to severely impact system responsiveness, in a way which MemAvailable
or other metrics cannot.


%prep
%autosetup -p1
%if 0%{?el8}
cp -p %{SOURCE1} README-epel.md
%endif


%build
export CC=gcc
%set_build_flags
%make_build


%install
install -Dp %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 644 %{name}.service %{buildroot}%{_userunitdir}/%{name}.service

%if %{with systemd_scriptlets}
%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service
%endif


%files
%license LICENSE
%doc README.md demo.gif
%if 0%{?el8}
%doc README-epel.md
%endif
%{_bindir}/%{name}
%dir %{_userunitdir}
%{_userunitdir}/%{name}.service


%changelog
* Tue Aug 02 2022 Michel Alexandre Salim <michel@michel-slm.name> 1.3.0-1
- Update to 1.3.0

* Thu Jul  1 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.1-2
- Add README-epel.md with instructions for enabling PSI support

* Tue Jul 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu May 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-4
- Set all compiler and linker flags with the right macro (thanks tartina)

* Thu May 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-3
- Update PRs

* Wed May 20 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-2
- Fix build on s390x

* Wed May 20 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Fri May  8 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.1-2
- Include demo animation as documentation
- Own /usr/lib/systemd/unit, since the service file is optional

* Wed May  6 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.1-1
- Initial package

